var path = require('path');
var webpack = require('webpack');

module.exports = {
  entry: './bin/main.js',
  output: {
    path: path.join(__dirname, 'build'),
    filename: 'bundle.js',
    library: 'InputRange',
    libraryTarget: 'umd',
  },
  module: {
    loaders: [
      {
        test: /\.js$/, // Transform all .js files required somewhere with Babel
        loader: 'babel-loader',
        exclude: /node_modules/,
      },
      {
        test: /.jsx?$/,
        loader: 'babel-loader',
        exclude: /node_modules/,
        query: {
          presets: ['es2015', 'react']
        }
      }
    ]
  },
};
